package router

import (
	"cold-delivery/app/admin/controller"
	"github.com/gin-gonic/gin"
)

func init() {
	routerNoCheckRole = append(routerNoCheckRole, registerWaybillTaskRouter)
}

// 物流详情
// 需认证的路由代码
func registerWaybillTaskRouter(v1 *gin.RouterGroup) {
	cont := controller.WaybillTaskController{}
	r := v1.Group("/waybill-task")
	{
		r.GET("", cont.GetPage)
		r.POST("/data", cont.GetData)
		r.GET("/locus", cont.GetLocus)
		r.POST("/newest-locus", cont.GetNewestData)
	}
}
